<?
/*
   File name         : contactdetails.php
   Version           : 1.1.3
   Last Modified By  : Umut Gokbayrak
   e-mail            : umut@trlinux.com
   Last modified     : 7 Nov 2000
*/

include ("includes/global.inc");
session_start();

$item_id=addslashes($_GET["item_id"]);
$ID=addslashes($_SESSION["ID"]);

// ID comparison between logged hash and session. If they are both the same, let the user to go on...
$dbq = $db->execute("select user_id,username,password from tblUsers where hash = '$ID'");
$user_id = $dbq->fields['user_id'];
$username = $dbq->fields['username'];
$password = $dbq->fields['password'];
$dbq->close();

if (($user_id == "") || (strlen($ID)==0)){
  Header("Location: index.php?error_id=1");
} else {

  function mychop($thistring,$length) {
    $result="";
    $mystring=trim($thistring);
    if (strlen($mystring)>$length) {
      $result=substr($mystring,0,$length);
      $result = "$result...";
    }else {
      $result=$mystring;
    }

    return($result);
  }

  $mbox_id = rawurldecode($mbox_id);

  include ("$postaci_directory" . "classes/imap_pop3.inc");

  $email=new imap_pop3($default_port,$default_protocol,$default_host,$username,$password,$mbox_id);

  include ("$postaci_directory" . "includes/commonhead.inc");
  include ("$postaci_directory" . "includes/stylesheets.inc");
  include ("$postaci_directory" . "includes/javascripts.inc");
  include ("$postaci_directory" . "includes/functions.inc");

  // security check
  $dbq = $db->execute("select user_id from tblAdressbook where item_id=$item_id");
  $auth_user = $dbq->fields['user_id'];
  if ($auth_user != $user_id) {
    Header("Location: index.php?error_id=1");
  }
?>
  </head>

  <body bgcolor='#FFCC88' leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" background="images/background.gif" text="#000000" link="#4f0000" vlink="#4f0000" alink="#4f0000">
  <table width="100%" border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td width="1%" bgcolor="#4F0000"><img src="images/empty.gif" width="15" height="1"></td>
      <td width="1%" bgcolor="#4F0000"><img src="images/empty.gif" width="152" height="1"></td>
      <td width="98%" bgcolor="#4F0000" align="right"><img src="images/minilogo.jpg"></td>
    </tr>
  </table>
  <table width="100%" border="0" cellspacing="0" cellpadding="0" height="400">
    <tr>
      <td width="1%"><img src="images/empty.gif" width="15" height="1"></td>
      <td width="1%" valign="top" align="left"><img src="images/company_logo2.jpg" width="152" height="152"><br>
        <table width="120" border="0" cellspacing="0" cellpadding="0" align="center">
          <tr>
            <td>
              <img src="images/dot.gif" width="10" height="10"> <a href="sendmail.php?mbox_id=<? echo $mbox_id; ?>"><? echo "$text25"; ?></a>
            </td>
          </tr>
          <tr>
            <td>
              <img src="images/dot.gif" width="10" height="10"> <a href="mailbox.php?mbox_id=INBOX"><? echo "$text26"; ?></a>
            </td>
          </tr>
          <tr>
            <td>
              <img src="images/dot.gif" width="10" height="10"> <a href="folders.php"><? echo "$text27"; ?></a>
            </td>
          </tr>
          <tr>
            <td>
              <table border="0" cellpadding="0" cellspacing="0" width="111">
                <tr>
                  <td width="8">
                    <img src="images/empty.gif" height="1" width="15">
                  </td>
                  <td width="112">
                    <?
                      if ($default_protocol == "pop3") {
                        echo "- <a href=\"mailbox.php?mbox_id=INBOX\">INBOX</a><br>";
                      }
                      $folders = $email->getMailboxes();
                      $folder_names = array();
                      $folder_counter=-1;
                      while (list($key,$val) = each($folders["name"])) {
                        $folder_counter++;
                        $folder_names[$folder_counter] = $val;
                      }
                      $ids = array();
                      $folder_counter=-1;
                      while (list($key,$val) = each($folders["id"])) {
                        $folder_counter++;
                        $ids[$folder_counter] = $val;
                      }

                      for($i=0;$i<count($ids);$i++) {
                        echo "- <a href=\"mailbox.php?mbox_id=$ids[$i]\">$folder_names[$i]</a><br>";
                      }
                    ?>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td>
              <img src="images/dot.gif" width="10" height="10"> <a href="preferences.php"><? echo "$text28"; ?></a>
            </td>
          </tr>
          <tr>
            <td>
              <img src="images/dot.gif" width="10" height="10"> <a href="index.php"><? echo "$text29"; ?></a>
            </td>
          </tr>
        <tr valign="bottom" align="center">
          <?
            if($show_sponsor) {
              echo "<td height=\"70\" class=\"style=\"8\">$text78</td>\n";
            } else {
              echo "<td height=\"70\" class=\"style=\"8\">&nbsp;</td>\n";
            }
          ?>
        </tr>
        <tr>
          <td>
            <div align="center">
              <table width="111" border="0" cellspacing="0" cellpadding="1" bgcolor="#333333">
                <tr>
                  <?
                    if ($show_sponsor) {
                      echo "<td><a href=\"http://www.yimpas.net.tr\"><img src=\"images/sponsor.gif\" width=\"109\" height=\"30\" border=\"0\"></a></td>\n";
                    }
                  ?>
                </tr>
              </table>
            </div>
          </td>
        </tr>
        </table>
      </td>
      <td width="98%" valign="top">

      <table width="100%" border="0" cellspacing="0" cellpadding="0" height="150">
       <? include ($postaci_directory . "includes/headinside.inc"); ?>
        <tr>
          <td width="10" height="180" valign="top">
            <p><img src="images/empty.gif" width="1" height="180"></p>
          </td>
          <td valign="top" align="left">
            <hr size="1">&nbsp;<br>
            <table width="100%" border="0" cellspacing="0" cellpadding="0" height="18">
              <tr bgcolor="#FFAA33">
                <?
                  $mailadress = getMailAdress($user_id);
                ?>
                <td>&nbsp;<font color="#FFDDAA"><b> <? echo htmlspecialchars($mailadress) . " - " . $text22; ?></b></font></td>
              </tr>
            </table>&nbsp;<p><div align="center">

            <?

              $dbq = $db->execute("select * from tblAdressbook where user_id = $user_id and item_id = $item_id");
              $txtnamesurname = $dbq->fields['real_name'];
              $txtemail   = $dbq->fields['email1'];
              $txtnotes   = $dbq->fields['notes'];
              $txttelephone   = $dbq->fields['telephone'];
              $dbq->close();

              echo "      <form method='post' action='contactupdate.php?item_id=$item_id'>\n";
              echo "        <table width='550' border='0' cellspacing='1' cellpadding='0' bgcolor='#999999'>\n";
              echo "          <tr>\n";
              echo "            <td>\n";
              echo "              <table width='550' border='0' cellspacing='0' cellpadding='0'>\n";
              echo "                <tr bgcolor='#FFCC88'>\n";
              echo "                  <td>&nbsp;</td>\n";
              echo "                  <td width='126'>&nbsp;</td>\n";
              echo "                  <td width='7'>&nbsp;</td>\n";
              echo "                  <td width='398'>&nbsp;</td>\n";
              echo "                </tr>\n";
              echo "                <tr bgcolor='#FFCC88'>\n";
              echo "                  <td width='19'>&nbsp;</td>\n";
              echo "                  <td width='126'><b>$text61</b></td>\n";
              echo "                  <td width='7'><b>:</b></td>\n";
              echo "                  <td width='398'>\n";
              echo "                    <input type='text' name='txtnamesurname' class='stiltextfield' value='$txtnamesurname'>\n";
              echo "          				</td>\n";
              echo "                </tr>\n";
              echo "                <tr bgcolor='#FFCC88'>\n";
              echo "                  <td width='19'>&nbsp;</td>\n";
              echo "                  <td width='126'><b>$text20</b></td>\n";
              echo "                  <td width='7'><b>:</b></td>\n";
              echo "                  <td width='398'>\n";
              echo "                    <input type='text' name='txtemail' class='stiltextfield' value='$txtemail'>\n";
              echo "          				</td>\n";
              echo "                </tr>\n";
              echo "                <tr bgcolor='#FFCC88'>\n";
              echo "                  <td width='19'>&nbsp;</td>\n";
              echo "                  <td width='126'><b>$text62</b></td>\n";
              echo "                  <td width='7'><b>:</b></td>\n";
              echo "                  <td width='398'>\n";
              echo "                    <input type='text' name='txttelephone' class='stiltextfield' value='$txttelephone'>\n";
              echo "          </td>\n";
              echo "                </tr>\n";
              echo "                <tr bgcolor='#FFCC88'>\n";
              echo "                  <td width='19' valign='top'>&nbsp;</td>\n";
              echo "                  <td width='126' valign='top'><b>$text66</b></td>\n";
              echo "                  <td width='7' valign='top'><b>:</b></td>\n";
              echo "                  <td width='398'>\n";
              echo "                    <textarea name='txtnotes' cols='30' rows='4' wrap='PHYSICAL' class='stiltextfield'>$txtnotes</textarea>\n";
              echo "          </td>\n";
              echo "                </tr>\n";
              echo "                <tr bgcolor='#FFCC88'>\n";
              echo "                  <td width='19' valign='top'>&nbsp;</td>\n";
              echo "                  <td width='126' valign='top'>&nbsp;</td>\n";
              echo "                  <td width='7' valign='top'>&nbsp;</td>\n";
              echo "                  <td width='398'>\n";
              echo "                    <input type='submit' name='Submit' value='$text67'>\n";
              echo "          </td>\n";
              echo "                </tr>\n";
              echo "                <tr bgcolor='#FFCC88'>\n";
              echo "                  <td width='19'>&nbsp;</td>\n";
              echo "                  <td width='126'>&nbsp;</td>\n";
              echo "                  <td width='7'>&nbsp;</td>\n";
              echo "                  <td width='398'>&nbsp;</td>\n";
              echo "                </tr>\n";
              echo "              </table>\n";
              echo "            </td>\n";
              echo "          </tr>\n";
              echo "        </table>\n";
              echo "      </form>\n";


            ?>
            </div>
            <p>&nbsp; </p>
          </td>
          <td valign="top" width="10">&nbsp;</td>
        </tr>
        <tr>
          <td width="10" height="80" valign="top">&nbsp;</td>
          <td valign="bottom" align="right">
            <hr size="1">
            <div align="right"><span class="style8"><? echo $text84; ?></span></div>
            <p>
          </td>
          <td>&nbsp;</td>
        </tr>
      </table>
      </td>
    </tr>
  </table>
  </body>
  </html>

<?
}
?>
